Subject: Re: [PATCH] tcp: add setsockopt to disable slow start after idle

From: David Miller <[email-masked]>
Date: Sat, 10 Apr 2010 15:47:09 -0700 (PDT)

From: Cristian KLEIN <[email-masked]>
Date: Sat, 10 Apr 2010 14:09:03 +0200

> Could you please explain me why it is dangerous? To me it seems that
> it's just like allowing applications to disable NAGLE or to choose a
> congestion control algorithm.

Because you can cause undue congestion to other people on the network
because you are believing path information that has been outdated and
has not been validated by sending data for a certain amount of time.